% Learn SVM independently per player
% Author: Jean Honorio
% E-mail: jhonorio@csail.mit.edu
function [W b] = learn_indep_svm(X,rho,verbose);

if ~issign(X)
    error('Only +1 and -1 are accepted in dataset');
end
if ~exist('verbose','var')
    verbose = false;
end
[T N] = size(X);
W = zeros(N);
b = zeros(N,1);
for n = 1:N
    if verbose
        fprintf('.');
    end
    idx = [1:n-1 n+1:N];
    [w_n b_n] = l1svm(X(:,n),X(:,idx),rho);
    W(n,idx) = w_n;
    b(n) = b_n;
end
if verbose
    fprintf('\n');
end
